/* Supraincarcarea Operatorilor
 * Operator Overloading
 */

#include <iostream>

// Operatori binari aritmetici

class Intreg {
public:
	Intreg() : n {0}
	{}
	Intreg(int n) : n {n}
	{}
	
	int GetN() const
	{
		return n;
	}
	
	friend Intreg operator + (const Intreg& a, const Intreg& b);
private:
	int n;
};

Intreg operator + (const Intreg& a, const Intreg& b)
{
	Intreg sum(a.n + b.n);
	return sum;
}


int main()
{
	Intreg a(10), b(20);
	
	Intreg c = a + b; // Intreg c = a.operator+ (b)
	
	std::cout << c.GetN();
}
